### Signal

# GimpUi FontSelectButton::font-set

#### Declaration

    void
    font_set (
      GimpFontSelectButton* self,
      gchar* font_name,
      gboolean dialog_closing,
      gpointer user_data
    )

#### Description [src]

The ::font-set signal is emitted when the user selects a font.

Default handler: | The default handler is called before the handlers added via `g_signal_connect()`.
Available since: | 2.4

#### Parameters

`font_name` | `gchar*`
| The name of the currently selected font.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`dialog_closing` | `gboolean`
| Whether the dialog was closed or not.